<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<link rel="STYLESHEET" href="mailman-install.css" type='text/css' />
<link rel="first" href="mailman-install.html" title='GNU mailman - installation Manual' />
<link rel='last' href='about.html' title='About this document...' />
<link rel='help' href='about.html' title='About this document...' />
<link rel="next" href="node33.html" />
<link rel="prev" href="node31.html" />
<link rel="parent" href="node31.html" />
<link rel="next" href="node33.html" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name='aesop' content='information' />
<title>6.3.1 Sendmail ``smrsh'' compatibility</title>
</head>
<body>
<div class="navigation">
<div id='top-navigation-panel' xml:id='top-navigation-panel'>
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="6.3 using the Sendmail"
  href="node31.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="6.3 using the Sendmail"
  href="node31.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="6.3.2 integrating Sendmail and"
  href="node33.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node31.html">6.3 Using the Sendmail</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node31.html">6.3 Using the Sendmail</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node33.html">6.3.2 Integrating Sendmail and</a>
</div>
<hr /></div>
</div>
<!--End of Navigation Panel-->

<h3><a name="SECTION001631000000000000000">
6.3.1 Sendmail ``smrsh'' compatibility</a>
</h3>

<p>
Many newer versions of Sendmail come with a restricted execution utility
called ``smrsh'', which limits the executables that Sendmail will allow to be
used as mail programs.  You need to explicitly allow Mailman's wrapper program
to be used with smrsh or Mailman will not work.  If mail is not getting
delivered to Mailman's wrapper program and you're getting an ``operating
system error'' in your mail syslog, this could be your problem.

<p>
One good way of enabling this is:

<p>

<ul>
<li>Find out where your Sendmail executes its smrsh wrapper

<p>
<div class="verbatim"><pre>
            % grep smrsh /etc/mail/sendmail.cf
</pre></div>

<p>
</li>
<li>Figure out where smrsh expects symlinks for allowable mail
          programs.  At the very beginning of the following output you will
          see a full path to some directory, e.g. <span class="file">/var/adm/sm.bin</span> or
          similar:

<p>
<div class="verbatim"><pre>
            % strings $path_to_smrsh | less
</pre></div>

<p>
</li>
<li>cd into <span class="file">/var/adm/sm.bin</span>, or where ever it happens to reside
          on your system - alternatives include <span class="file">/etc/smrsh</span>,
          <span class="file">/var/smrsh</span> and <span class="file">/usr/local/smrsh</span>.

<p>
<div class="verbatim"><pre>
            % cd /var/adm/sm.bin
</pre></div>

<p>
</li>
<li>Create a symbolic link to Mailman's wrapper program:

<p>
<div class="verbatim"><pre>
            % ln -s /usr/local/mailman/mail/mailman mailman
</pre></div>
</li>
</ul>

<p>

<div class="navigation">
<div class='online-navigation'>
<p></p><hr />
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="6.3 using the Sendmail"
  href="node31.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="6.3 using the Sendmail"
  href="node31.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="6.3.2 integrating Sendmail and"
  href="node33.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node31.html">6.3 Using the Sendmail</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node31.html">6.3 Using the Sendmail</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node33.html">6.3.2 Integrating Sendmail and</a>
</div>
</div>
<hr />
<span class="release-info">Release 2.1, documentation updated on August 26, 2016.</span>
</div>
<!--End of Navigation Panel-->

</body>
</html>
